Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.compiler
Class QueryIterOpSQL

    java.lang.Object
      com.hp.hpl.jena.sparql.util.PrintSerializableBase
          com.hp.hpl.jena.sparql.engine.iterator.QueryIteratorBase
              com.hp.hpl.jena.sparql.engine.iterator.QueryIter
                  com.hp.hpl.jena.sparql.engine.iterator.QueryIter1
                      com.hp.hpl.jena.sparql.engine.iterator.QueryIterRepeatApply
                          com.hp.hpl.jena.sdb.compiler.QueryIterOpSQL

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.engine.QueryIterator, com.hp.hpl.jena.sparql.util.PrintSerializable, Iterator<com.hp.hpl.jena.sparql.engine.binding.Binding>, org.openjena.atlas.io.Printable, org.openjena.atlas.lib.Closeable

    public class QueryIterOpSQL

extends com.hp.hpl.jena.sparql.engine.iterator.QueryIterRepeatApply

Field Summary

Fields inherited from class com.hp.hpl.jena.sparql.engine.iterator.QueryIteratorBase
`traceIterators`

Constructor Summary
`QueryIterOpSQL(OpSQL op, com.hp.hpl.jena.sparql.engine.QueryIterator input, com.hp.hpl.jena.sparql.engine.ExecutionContext context)`

Method Summary
`void` | `output(org.openjena.atlas.io.IndentedWriter out)`

Methods inherited from class com.hp.hpl.jena.sparql.engine.iterator.QueryIter1
`output`

Methods inherited from class com.hp.hpl.jena.sparql.engine.iterator.QueryIter
`close, getExecContext, getIteratorNumber, makeTracked, materialize`

Methods inherited from class com.hp.hpl.jena.sparql.engine.iterator.QueryIteratorBase
`abort, debug, hasNext, next, nextBinding, remove`

Methods inherited from class com.hp.hpl.jena.sparql.util.PrintSerializableBase
`toString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sparql.util.PrintSerializable
`toString`

Constructor Detail

### QueryIterOpSQL

    public QueryIterOpSQL(OpSQL op,
                          com.hp.hpl.jena.sparql.engine.QueryIterator input,
                          com.hp.hpl.jena.sparql.engine.ExecutionContext context)

Method Detail

### output

    public void output(org.openjena.atlas.io.IndentedWriter out)

  Specified by:
    `output` in interface `org.openjena.atlas.io.Printable`
  Overrides:
    `output` in class `com.hp.hpl.jena.sparql.util.PrintSerializableBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.